package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_IMPORTTASK"
)
public class TCoreImporttask extends TBaseEntity {
   private String taskname;
   private Date createtime;
   private String filepath;
   private String engineid;
   private String wfname;
   private String sename;
   private String mpname;

   public TCoreImporttask() {
   }

   public TCoreImporttask(String taskname, Date createtime, String filepath, String engineid, String wfname, String sename, String mpname) {
      this.taskname = taskname;
      this.createtime = createtime;
      this.filepath = filepath;
      this.engineid = engineid;
      this.wfname = wfname;
      this.sename = sename;
      this.mpname = mpname;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getFilepath() {
      return this.filepath;
   }

   public void setFilepath(String filepath) {
      this.filepath = filepath;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getWfname() {
      return this.wfname;
   }

   public void setWfname(String wfname) {
      this.wfname = wfname;
   }

   public String getSename() {
      return this.sename;
   }

   public void setSename(String sename) {
      this.sename = sename;
   }

   public String getMpname() {
      return this.mpname;
   }

   public void setMpname(String mpname) {
      this.mpname = mpname;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.filepath == null ? 0 : this.filepath.hashCode());
      result = 31 * result + (this.mpname == null ? 0 : this.mpname.hashCode());
      result = 31 * result + (this.sename == null ? 0 : this.sename.hashCode());
      result = 31 * result + (this.taskname == null ? 0 : this.taskname.hashCode());
      result = 31 * result + (this.wfname == null ? 0 : this.wfname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreImporttask other = (TCoreImporttask)obj;
         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.filepath == null) {
            if (other.filepath != null) {
               return false;
            }
         } else if (!this.filepath.equals(other.filepath)) {
            return false;
         }

         if (this.mpname == null) {
            if (other.mpname != null) {
               return false;
            }
         } else if (!this.mpname.equals(other.mpname)) {
            return false;
         }

         if (this.sename == null) {
            if (other.sename != null) {
               return false;
            }
         } else if (!this.sename.equals(other.sename)) {
            return false;
         }

         if (this.taskname == null) {
            if (other.taskname != null) {
               return false;
            }
         } else if (!this.taskname.equals(other.taskname)) {
            return false;
         }

         if (this.wfname == null) {
            if (other.wfname != null) {
               return false;
            }
         } else if (!this.wfname.equals(other.wfname)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreImporttask [taskname=" + this.taskname + ", createtime=" + this.createtime + ", filepath=" + this.filepath + ", engineid=" + this.engineid + ", wfname=" + this.wfname + ", sename=" + this.sename + ", mpname=" + this.mpname + "]";
   }
}
